# Class VulkanDescriptorSetLayoutCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanDescriptorSetLayoutCreateInfo.Builder

Enclosing class:
  `VulkanDescriptorSetLayoutCreateInfo`

public static final class VulkanDescriptorSetLayoutCreateInfo.Builder extends Object
Builds instances of type `VulkanDescriptorSetLayoutCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `addAllBindings(Iterable<? extends VulkanDescriptorSetLayoutBinding> elements)`
  Adds elements to `bindings` list.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `addAllBindingsFlags(Iterable<? extends Set<VulkanDescriptorBindingFlag>> elements)`
  Adds elements to `bindingsFlags` list.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanDescriptorSetLayoutCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `addBindings(VulkanDescriptorSetLayoutBinding element)`
  Adds one element to `bindings` list.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `addBindings(VulkanDescriptorSetLayoutBinding... elements)`
  Adds elements to `bindings` list.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `addBindingsFlags(Set<VulkanDescriptorBindingFlag> element)`
  Adds one element to `bindingsFlags` list.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `addBindingsFlags(Set<VulkanDescriptorBindingFlag>... elements)`
  Adds elements to `bindingsFlags` list.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `addFlags(VulkanDescriptorSetLayoutCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `addFlags(VulkanDescriptorSetLayoutCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanDescriptorSetLayoutCreateInfo`
  `build()`
  Builds a new `VulkanDescriptorSetLayoutCreateInfo`.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `from(VulkanDescriptorSetLayoutCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanDescriptorSetLayoutCreateInfoType` instance.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `setBindings(Iterable<? extends VulkanDescriptorSetLayoutBinding> elements)`
  Sets or replaces all elements for `bindings` list.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `setBindingsFlags(Iterable<? extends Set<VulkanDescriptorBindingFlag>> elements)`
  Sets or replaces all elements for `bindingsFlags` list.
  `final VulkanDescriptorSetLayoutCreateInfo.Builder`
  `setFlags(Iterable<VulkanDescriptorSetLayoutCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanDescriptorSetLayoutCreateInfo.Builder from(VulkanDescriptorSetLayoutCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanDescriptorSetLayoutCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanDescriptorSetLayoutCreateInfo.Builder addFlags(VulkanDescriptorSetLayoutCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanDescriptorSetLayoutCreateInfo.Builder addFlags(VulkanDescriptorSetLayoutCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanDescriptorSetLayoutCreateInfo.Builder setFlags(Iterable<VulkanDescriptorSetLayoutCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanDescriptorSetLayoutCreateInfo.Builder addAllFlags(Iterable<VulkanDescriptorSetLayoutCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addBindings

    public final VulkanDescriptorSetLayoutCreateInfo.Builder addBindings(VulkanDescriptorSetLayoutBinding element)
    Adds one element to `bindings` list.
    Parameters:
      `element` - A bindings element
    Returns:
      `this` builder for use in a chained invocation

  - ### addBindings

    public final VulkanDescriptorSetLayoutCreateInfo.Builder addBindings(VulkanDescriptorSetLayoutBinding... elements)
    Adds elements to `bindings` list.
    Parameters:
      `elements` - An array of bindings elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setBindings

    public final VulkanDescriptorSetLayoutCreateInfo.Builder setBindings(Iterable<? extends VulkanDescriptorSetLayoutBinding> elements)
    Sets or replaces all elements for `bindings` list.
    Parameters:
      `elements` - An iterable of bindings elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllBindings

    public final VulkanDescriptorSetLayoutCreateInfo.Builder addAllBindings(Iterable<? extends VulkanDescriptorSetLayoutBinding> elements)
    Adds elements to `bindings` list.
    Parameters:
      `elements` - An iterable of bindings elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addBindingsFlags

    public final VulkanDescriptorSetLayoutCreateInfo.Builder addBindingsFlags(Set<VulkanDescriptorBindingFlag> element)
    Adds one element to `bindingsFlags` list.
    Parameters:
      `element` - A bindingsFlags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addBindingsFlags

    @SafeVarargs public final VulkanDescriptorSetLayoutCreateInfo.Builder addBindingsFlags(Set<VulkanDescriptorBindingFlag>... elements)
    Adds elements to `bindingsFlags` list.
    Parameters:
      `elements` - An array of bindingsFlags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setBindingsFlags

    public final VulkanDescriptorSetLayoutCreateInfo.Builder setBindingsFlags(Iterable<? extends Set<VulkanDescriptorBindingFlag>> elements)
    Sets or replaces all elements for `bindingsFlags` list.
    Parameters:
      `elements` - An iterable of bindingsFlags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllBindingsFlags

    public final VulkanDescriptorSetLayoutCreateInfo.Builder addAllBindingsFlags(Iterable<? extends Set<VulkanDescriptorBindingFlag>> elements)
    Adds elements to `bindingsFlags` list.
    Parameters:
      `elements` - An iterable of bindingsFlags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanDescriptorSetLayoutCreateInfo build()
    Builds a new `VulkanDescriptorSetLayoutCreateInfo`.
    Returns:
      An immutable instance of VulkanDescriptorSetLayoutCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing